Subject: bug#61183: 29.0.60; Add describe-repeat-maps to the manual

From: Juri Linkov <[email-masked]>
Date: Mon, 30 Jan 2023 20:10:53 +0200

>> +navigate @code{next-error} matches, @kbd{C-x ] ] [ [} to navigate
>> +through pages, and other listed in @code{describe-repeat-maps}.
>
> "and other commands", I presume?

This is what I already tried, but noticed that it's talking about
key sequences.  But "other key sequences" looks awkward too.

> Also, saying that commands are "listed in" a function sounds
> awkwardly; I guess you meant in the window shown by
> describe-repeat-maps instead?

Maybe simply "listed by describe-repeat-maps"?

> And finally, I think this is insufficient to document
> describe-repeat-maps, because its output is not very
> self-explanatory.  I actually have difficulty understanding what it
> wants to tell me.  The heading line says
>
>   A list of keymaps used by commands with the symbol property `repeat-map'
>
> which isn't a user-level information.  This is followed by keymap
> names and some bindings in each keymap.  What is the user supposed to
> understand from that?  I think we lack some short introductory text
> immediately after the heading.  Or maybe the manual should have some
> more detailed explanation of what that command shows.

Its output is easy to understand for anyone who uses this feature
and just wants to check what commands are already supported.